Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations

CreateVmFromCdpBackup

CreateVmFromCdpBackup

PUT/zstack/v1/cdp-backups/actions

Operation ID

CreateVmFromCdpBackup

Since

4.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The name of the resource.

    • groupId
      longRequired

      The ID of the recovery points.

    • cdpTaskUuid
      StringRequired

      The UUID of the CDP task.

    • instanceOfferingUuid
      StringRequired

      The UUID of the instance offering.

    • defaultL3NetworkUuid
      String

      Optional. The UUID of the default L3 network.

    • l3NetworkUuids
      ListRequired

      The UUID list of L3 network.

    • type
      String

      Optional. The type of the VM.

    • zoneUuid
      String

      Optional. The UUID of the zone.

    • clusterUuid
      String

      Optional. The UUID of the cluster.

    • hostUuid
      String

      Optional. The UUID of the host.

    • primaryStorageUuidForRootVolume
      String

      Optional. The UUID of the primary storage for root volume.

    • primaryStorageUuidForDataVolume
      String

      Optional. The UUID of the primary storage for data volume.

    • recoverBandwidth
      long

      Optional. The recover bandwidth.

    • description
      String

      Optional. Optional. The detailed description of the resource.

    • rootVolumeSystemTags
      List

      Optional. The system tags of the root volume.

    • dataVolumeSystemTags
      List

      Optional. The system tags of the data volume.

    • resourceUuid
      String

      Optional. The UUID of the resource.

    • tagUuids
      List

      Optional. The UUID list of the tags.

  • systemTags
    List

    Optional. The system tags of the VM.

  • userTags
    List

    Optional. The user tags of the VM.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    VmInstanceInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The UUID of the resource.

    • name
      StringRequired

      The name of the resource.

    • description
      String

      Optional. The detailed description of the resource.

    • zoneUuid
      StringRequired

      The UUID of the zone.

    • clusterUuid
      StringRequired

      The UUID of the cluster.

    • imageUuid
      StringRequired

      The UUID of the image.

    • hostUuid
      StringRequired

      The UUID of the host.

    • lastHostUuid
      StringRequired

      The last host UUID.

    • instanceOfferingUuid
      StringRequired

      The UUID of the instance offering.

    • rootVolumeUuid
      StringRequired

      The UUID of the root volume.

    • platform
      StringRequired

      The platform.

    • architecture
      StringRequired

      The architecture.

    • defaultL3NetworkUuid
      StringRequired

      The default L3 network UUID.

    • type
      StringRequired

      The resource type.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • memorySize
      LongRequired

      The memory size.

    • cpuNum
      IntegerRequired

      The number of CPUs.

    • cpuSpeed
      LongRequired

      The CPU speed.

    • allocatorStrategy
      StringRequired

      The allocator strategy.

    • createDate
      TimestampRequired

      The time when the resource is created.

    • lastOpDate
      TimestampRequired

      The time when the resource is last modified.

    • state
      StringRequired

      The resource state.

    • guestOsType
      StringRequired

      The guest OS type.

    • vmNics
      ListRequired

      See vmNics.

      • uuid
        StringRequired

        The UUID of the resource.

      • vmInstanceUuid
        StringRequired

        The UUID of the VM instance.

      • l3NetworkUuid
        StringRequired

        The UUID of the L3 network.

      • ip
        StringRequired

        The IP address.

      • mac
        StringRequired

        The MAC address.

      • hypervisorType
        StringRequired

        The hypervisor type.

      • netmask
        StringRequired

        The netmask.

      • gateway
        StringRequired

        The gateway IP address.

      • metaData
        StringRequired

        The metadata.

      • ipVersion
        IntegerRequired

        The IP version.

      • driverType
        StringRequired

        The driver type.

      • internalName
        StringRequired

        The internal name.

      • deviceId
        IntegerRequired

        The device ID.

      • type
        StringRequired

        The resource type.

      • createDate
        TimestampRequired

        The time when the resource is created.

      • lastOpDate
        TimestampRequired

        The time when the resource is last modified.

      • usedIps
        ListRequired

        See usedIps.

        • uuid
          StringRequired

          The UUID of the resource.

        • ipRangeUuid
          StringRequired

          The UUID of the IP range.

        • l3NetworkUuid
          StringRequired

          The UUID of the L3 network.

        • ipVersion
          IntegerRequired

          The IP version.

        • ip
          StringRequired

          The IP address.

        • netmask
          StringRequired

          The netmask.

        • gateway
          StringRequired

          The gateway IP address.

        • usedFor
          StringRequired

          The intended use.

        • ipInLong
          longRequired

          The IP address represented as a long integer.

        • vmNicUuid
          StringRequired

          The UUID of the VM NIC.

        • createDate
          TimestampRequired

          The time when the resource is created.

        • lastOpDate
          TimestampRequired

          The time when the resource is last modified.

    • allVolumes
      ListRequired

      See allVolumes.

      • uuid
        StringRequired

        The UUID of the resource.

      • name
        StringRequired

        The name of the resource.

      • description
        String

        Optional. The detailed description of the resource.

      • primaryStorageUuid
        StringRequired

        The UUID of the primary storage.

      • vmInstanceUuid
        StringRequired

        The UUID of the VM instance.

      • diskOfferingUuid
        StringRequired

        The UUID of the disk offering.

      • rootImageUuid
        StringRequired

        The root image UUID.

      • installPath
        StringRequired

        The installation path.

      • type
        StringRequired

        The resource type.

      • format
        StringRequired

        The format.

      • size
        LongRequired

        The size.

      • actualSize
        LongRequired

        The actual size.

      • deviceId
        IntegerRequired

        The device ID.

      • state
        StringRequired

        The resource state.

      • status
        StringRequired

        The resource status.

      • createDate
        TimestampRequired

        The time when the resource is created.

      • lastOpDate
        TimestampRequired

        The time when the resource is last modified.

      • isShareable
        BooleanRequired

        Whether the resource is shareable.

      • volumeQos
        StringRequired

        The volume QoS.

      • lastDetachDate
        TimestampRequired

        The last detach date.

      • lastVmInstanceUuid
        StringRequired

        The last VM instance UUID.

    • vmCdRoms
      ListRequired

      See vmCdRoms.

      • uuid
        StringRequired

        The UUID of the resource.

      • vmInstanceUuid
        StringRequired

        The UUID of theVM instance.

      • deviceId
        IntegerRequired

        The device ID.

      • isoUuid
        StringRequired

        The ISO UUID.

      • isoInstallPath
        StringRequired

        The ISO install path.

      • name
        StringRequired

        The name of the resource.

      • description
        String

        Optional. The detailed description of the resource.

      • createDate
        TimestampRequired

        The time when the resource is created.

      • lastOpDate
        TimestampRequired

        The time when the resource is last modified.